Name: python-module-pyspi
Version: 0.6.1
Release: alt3

Summary: Python bindings for AT-SPI

License: LGPL
Group: Development/Python
Url: http://people.redhat.com/zcerza/dogtail/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://people.redhat.com/zcerza/dogtail/releases/pyspi-%version.tar.bz2
Patch: %name-%version-newpyrex.patch

%setup_python_module pyspi

Obsoletes: pyspi
Provides: pyspi

BuildPreReq: rpm-build-compat >= 1.2

# Automatically added by buildreq on Mon Dec 15 2008
BuildRequires: libX11-devel libat-spi-devel python-module-Pyrex

%description
AT-SPI allows assistive technologies to access GTK-based applications.  It
exposes the internals of applications for automation, so tools such as screen
readers and scripting interfaces can query and interact with GUI controls.

pyspi allows the Python language to be used to script AT-SPI-aware
applications (currently mostly GTK+ based.)

%prep
%setup -q -n pyspi-%version
%patch -p1

%build
%python_build

%install
%python_install

%files
%doc NEWS ChangeLog
%python_sitelibdir/*

%changelog
* Mon Aug 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt3
- Fixed for Pyrex 0.9.9

* Mon Nov 23 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt2
- Rebuilt with python 2.6

* Mon Dec 15 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- cleanup spec, user python_build/install macros
- fix build with newpyrex (thanks, Mandriva)

* Fri Oct 27 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- initial build for ALT Linux Sisyphus

* Fri Oct 13 2006 Zack Cerza <zcerza@redhat.com> - 0.6.1-1
- New upstream release.

* Wed Sep 13 2006 Zack Cerza <zcerza@redhat.com> - 0.6.0-1
- New upstream release.
- Add libX11-devel to BuildRequires.

* Tue Aug 01 2006 Zack Cerza <zcerza@redhat.com> - 0.5.5-1
- New upstream release.

* Tue Mar 21 2006 Zack Cerza <zcerza@redhat.com> - 0.5.4-2
- Fix URL and Source0 fields.

* Fri Mar 10 2006 Zack Cerza <zcerza@redhat.com> - 0.5.4-1
- Remove all Requires
- Add package versions to this changelog
- Add new description
- Use official Fedora Extras BuildRoot
- Change the group to Development/Languages

* Tue Feb 14 2006 Zack Cerza <zcerza@redhat.com> - 0.5.3-2
- Add missing BuildRequires on Pyrex.

* Tue Feb  7 2006 Zack Cerza <zcerza@redhat.com> - 0.5.3-1
- Initial build.

